# log4cpp::ConfigureFailure Class Reference

Exception class for configuration. More...

`#include <Configurator.hh>`

List of all members.

## Public Member Functions

| ConfigureFailure (const std::string &reason)
| Constructor.

## Detailed Description

Exception class for configuration.

## Constructor & Destructor Documentation

log4cpp::ConfigureFailure::ConfigureFailure | ( | const std::string & | reason | ) |

Constructor.

Parameters:

  | reason | String containing the description of the exception.

The documentation for this class was generated from the following files:

- Configurator.hh
- Configurator.cpp